#include   <stdio.h>
#include   <mpi.h>

void main(int argc, char *argv[])
{
    int rank;
    int source, result, root;

    /* run on 10 processors */

    MPI_Init(&argc, &argv);
    MPI_Comm_rank(MPI_COMM_WORLD, &rank);

    root = 7;
    source = rank + 1;
    // Barrier is not vital, ensures everyone is here.
    // MPI_Barrier(MPI_COMM_WORLD);

    // Combines elements in source and returns the value in result 
    // of the process with rank root.
    MPI_Reduce(&source, &result, 1, MPI_INT, MPI_SUM, root,
            MPI_COMM_WORLD);
    if (rank == root)
        printf("P:%d MPI_SUM result is %d \n", rank, result);

    MPI_Finalize();
}

